ssh_callbacks(3)

NAME
ssh_callbacks - The structure to replace libssh functions with appropriate callbacks.

SYNOPSIS

#include <include/libssh/callbacks.h>

  Data Fields
ssh_auth_callback auth_function
This functions will be called if e.g.
ssh_channel_open_request_x11_callback channel_open_request_x11_function
This function will be called when an incoming X11 request is received.
void(* connect_status_function )(void *userdata, float status)
This function gets called during connection time to indicate the percentage of connection steps completed.
ssh_global_request_callback global_request_function
This function will be called each time a global request is received.
ssh_log_callback log_function
This function will be called each time a loggable event happens.
size_t size
DON'T SET THIS use ssh_callbacks_init() instead.
void * userdata
User-provided data.

Detailed Description

The structure to replace libssh functions with appropriate callbacks.

Field Documentation

  ssh_auth_callback ssh_callbacks::auth_function

This functions will be called if e.g. a keyphrase is needed.

  size_t ssh_callbacks::size

DON'T SET THIS use ssh_callbacks_init() instead.

  void* ssh_callbacks::userdata

User-provided data. User is free to set anything he wants here

Author

Generated automatically by Doxygen for libssh from the source code.